Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 207073 - Git commands work recursively into nested clones
Git commands work recursively into nested clones
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.1
PC Linux
: P2 (vote)
: 7.1.2
Assigned To: Ondrej Vrabec
issues@versioncontrol
71patch2-verified
:
Depends on:
Blocks: 207067 208617
  Show dependency treegraph
 
Reported: 2012-01-09 16:44 UTC by Ondrej Vrabec
Modified: 2012-04-27 09:27 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2012-01-09 16:44:03 UTC
Git commands and actions work recursively and step into nested projects.
Commands: reset, checkout work recursively and corrupt submodule structure - e.g. the checkout command deletes submodules and creates empty files instead
Actions like commit, diff, status display also files from submodules and nested clones which may not be a problem for diff and status however the clone action fails when you try to commit 2 files from two nested clones at the same time.
Comment 1 Ondrej Vrabec 2012-01-10 10:08:36 UTC
fix: http://hg.netbeans.org/core-main/rev/3cd41bd4bf16
Comment 2 Ondrej Vrabec 2012-01-10 10:08:43 UTC
fix: http://hg.netbeans.org/core-main/rev/664783a83eb5
Comment 3 Quality Engineering 2012-01-11 16:16:47 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/3cd41bd4bf16
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #207073 - Git commands work recursively into nested clones
honor nested repositories in git commands and do not step into them
Comment 4 Stepan Zebra 2012-04-10 14:00:12 UTC
please integrate into 7.1.2
Comment 6 Quality Engineering 2012-04-10 20:24:17 UTC
Integrated into 'releases', will be available in build *201204101705* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/35e8c43998ce
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #207073 - Git commands work recursively into nested clones
honor nested repositories in git commands and do not step into them
(transplanted from 3cd41bd4bf165daacb3063c3b5bfad6db77463d0)
Comment 7 Stepan Zebra 2012-04-18 13:34:31 UTC
verified in 7.1.2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo